@echo off
setlocal enabledelayedexpansion

rem Initialize variables
set "counter=0"
set "extension=pak"
set "disabled_extension=pak-x"

rem List all .pak files in the directory
echo Listing .pak files in the directory:
for %%F in (*.%extension%) do (
    set /a counter+=1
    echo !counter!. %%~nxF
    set "file[!counter!]=%%~nxF"
)

:menu
rem Prompt user for action
echo.
echo 1. Enable mods
echo 2. Disable mods
echo 3. Exit
set "choice="
set /p choice=Enter your choice: 

rem Perform action based on user choice
if "%choice%"=="1" (
    call :enableMods
) else if "%choice%"=="2" (
    call :disableMods
) else if "%choice%"=="3" (
    goto :eof
) else (
    echo Invalid choice. Please try again.
    goto menu
)

goto :eof

:enableMods
rem List all disabled .pak-x files in the directory
echo.
echo Listing disabled .pak-x files in the directory:
set "disabled_count=0"
for %%F in (*.%disabled_extension%) do (
    set /a disabled_count+=1
    echo !disabled_count!. %%~nxF
    set "disabled_file[!disabled_count!]=%%~nxF"
)

rem Prompt user to enable mods
set /p enable_choice=Enter the numbers of mods to enable (separated by a space), "A" for all, or press Enter to go back: 

rem Check if input is empty or contains only spaces
if "!enable_choice: =!"=="" goto menu

rem Enable selected mods
if /i "!enable_choice!"=="A" (
    for /L %%N in (1,1,!disabled_count!) do (
        for %%F in ("!disabled_file[%%N]!") do (
            ren "%%F" "%%~nF.%extension%"
        )
    )
) else (
    for %%N in (!enable_choice!) do (
        if "!disabled_file[%%N]!" neq "" (
            for %%F in ("!disabled_file[%%N]!") do (
                ren "%%F" "%%~nF.%extension%"
            )
        ) else (
            echo Invalid selection. Please try again.
        )
    )
)

timeout /t 4 >nul
goto menu


:disableMods
rem List all enabled .pak files in the directory
echo.
echo Listing enabled .pak files in the directory:
set "enabled_count=0"
for %%F in (*.%extension%) do (
    if /I "%%~xF"==".pak" (
        set /a enabled_count+=1
        echo !enabled_count!. %%~nxF
        set "enabled_file[!enabled_count!]=%%~nxF"
    )
)

rem Prompt user to disable mods
set /p disable_choice=Enter the numbers of mods to disable (separated by a space), "A" for all, or press Enter to go back: 

rem Check if input is empty or contains only spaces
if "!disable_choice: =!"=="" goto menu

rem Disable selected mods
if /i "!disable_choice!"=="A" (
    for /L %%N in (1,1,!enabled_count!) do (
        for %%F in ("!enabled_file[%%N]!") do (
            ren "%%F" "%%~nF.%disabled_extension%"
        )
    )
) else (
    for %%N in (!disable_choice!) do (
        if "!enabled_file[%%N]!" neq "" (
            for %%F in ("!enabled_file[%%N]!") do (
                ren "%%F" "%%~nF.%disabled_extension%"
            )
        ) else (
            echo Invalid selection. Please try again.
        )
    )
)

timeout /t 4 >nul
goto menu